/// <reference types="node" />
export interface PvDirentBase {
    size: number;
    uid: number;
    gid: number;
    btime_ts: number;
    mtime_ts: number;
    ctime_ts: number;
    name: string;
    isFile: boolean;
    isDir: boolean;
}
export interface PvDirent extends PvDirentBase {
    btime: Date;
    mtime: Date;
    ctime: Date;
}
export declare class PvNodeSmb2 {
    private ctx;
    constructor(workgroup: string, username: string, password: string);
    createContext(workgroup: string, username: string, password: string): void;
    deleteContext(): void;
    fileInfo(smbPath: string): PvDirent;
    readFileSync(smbPath: string): Buffer;
    readDir(smbPath: string): PvDirent[];
}
